XDR_BUF_SUBSEGMENT(9)

NAME
xdr_buf_subsegment - set subbuf to a portion of buf

SYNOPSIS

int xdr_buf_subsegment(struct xdr_buf * buf, struct xdr_buf * subbuf, unsigned int base, unsigned int len);

ARGUMENTS

buf
    an xdr buffer

subbuf
    the result buffer

base
    beginning of range in bytes

len
    length of range in bytes

DESCRIPTION

sets subbuf to an xdr buffer representing the portion of buf of length len starting at offset base.

buf and subbuf may be pointers to the same struct xdr_buf.

Returns -1 if base of length are out of bounds.

COPYRIGHT